Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.fault
Class XFireFault

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.codehaus.xfire.XFireException
                  org.codehaus.xfire.fault.XFireFault

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  XmlBeansFault

    public class XFireFault

extends XFireException

In XFire, applications throw their own declared exceptions which are then turned into faults. The `XFireFault` class wraps these exceptions extracting out the details for the fault message.

If the developer wishes to generate their own custom fault messages, they can either override XFireFault to provide the FaultHandlers with the necessary information or write a new FaultHandler.

TODO Add i18n support

Since:
  Feb 14, 2004
Author:
  Dan Diephouse
See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DATA_ENCODING_UNKNOWN`
`static java.lang.String` | `MUST_UNDERSTAND`
`static java.lang.String` | `RECEIVER` A SOAP 1.2 only fault code.
`static java.lang.String` | `SENDER` "The message was incorrectly formed or did not contain the appropriate information in order to succeed." -- SOAP 1.2 Spec
`static java.lang.String` | `VERSION_MISMATCH` Fault codes.

Constructor Summary
`protected` | `XFireFault()`
`` | `XFireFault(java.lang.String message, java.lang.String code)` Create an exception wih the specified fault message and faultCode.
`` | `XFireFault(java.lang.String message, java.lang.Throwable cause, java.lang.String code)` Create a fault.
`` | `XFireFault(java.lang.Throwable throwable)` Create a fault for the specified exception.
`` | `XFireFault(java.lang.Throwable throwable, java.lang.String code)` Create a fault with the specified faultCode.

Method Summary
`void` | `addNamespace(java.lang.String prefix, java.lang.String ns)` Adds a namespace with prefix to this fault.
`static XFireFault` | `createFault(java.lang.Throwable throwable)` Creates a `XFireFault` from the given throwable.
`java.lang.Throwable` | `getCause()` Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.
`org.codehaus.yom.Element` | `getDetail()` Returns the detail node.
`java.lang.String` | `getFaultCode()` Returns the fault code of this fault.
`java.lang.String` | `getMessage()` Returns the detail message string of this fault.
`java.util.Map` | `getNamespaces()` User defined namespaces which will be written out on the resultant SOAP Fault (for use easy with SubCodes and Detail) elements.
`java.lang.String` | `getReason()`
`java.lang.String` | `getRole()` Returns the fault actor.
`java.lang.String` | `getSubCode()` Returns the SubCode for the Fault Code.
`boolean` | `hasDetails()` Indicates whether this fault has a detail message.
`void` | `printStackTrace(java.io.PrintStream s)` Prints this throwable and its backtrace to the specified print stream.
`void` | `printStackTrace(java.io.PrintWriter w)` Prints this throwable and its backtrace to the specified print writer.
`void` | `setDetail(org.codehaus.yom.Element details)` Sets a details `Node` on this fault.
`void` | `setFaultCode(java.lang.String faultCode)` Sets the fault code of this fault.
`void` | `setMessage(java.lang.String message)`
`void` | `setRole(java.lang.String actor)` Sets the fault actor.
`void` | `setSubCode(java.lang.String subCode)` Sets the SubCode for the Fault Code.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VERSION_MISMATCH

    public static final java.lang.String VERSION_MISMATCH

  Fault codes.

  See Also:
    Constant Field Values

### MUST_UNDERSTAND

    public static final java.lang.String MUST_UNDERSTAND

See Also:
  Constant Field Values

### DATA_ENCODING_UNKNOWN

    public static final java.lang.String DATA_ENCODING_UNKNOWN

See Also:
  Constant Field Values

### SENDER

    public static final java.lang.String SENDER

  "The message was incorrectly formed or did not contain the appropriate information in order to succeed." -- SOAP 1.2 Spec

  See Also:
    Constant Field Values

### RECEIVER

    public static final java.lang.String RECEIVER

  A SOAP 1.2 only fault code.

  "The message could not be processed for reasons attributable to the processing of the message rather than to the contents of the message itself." -- SOAP 1.2 Spec

  If this message is used in a SOAP 1.1 Fault it will most likely (depending on the FaultHandler) be mapped to "Sender" instead.

  See Also:
    Constant Field Values

Constructor Detail

### XFireFault

    protected XFireFault()

### XFireFault

    public XFireFault(java.lang.Throwable throwable)

  Create a fault for the specified exception. The faultCode is set to RECEIVER.

  Parameters:
    `throwable` -

### XFireFault

    public XFireFault(java.lang.Throwable throwable,
                      java.lang.String code)

  Create a fault with the specified faultCode. The exception message is used for the fault message.

  Parameters:
    `throwable` - The exception that caused this fault.
    `code` - The fault code. See XFireFault's static fields.

### XFireFault

    public XFireFault(java.lang.String message,
                      java.lang.String code)

  Create an exception wih the specified fault message and faultCode.

  Parameters:
    `message` - The fault message.
    `code` - The fault code. See XFireFault's static fields.

### XFireFault

    public XFireFault(java.lang.String message,
                      java.lang.Throwable cause,
                      java.lang.String code)

  Create a fault.

  Parameters:
    `cause` - The exception which caused this fault.
    `code` - The fault code. See XFireFault's static fields.

Method Detail

### createFault

    public static XFireFault createFault(java.lang.Throwable throwable)

  Creates a `XFireFault` from the given throwable. If the throwable is a `XFireFault`, it is not wrapped.

  Parameters:
    `throwable` - the throwable
  Returns:
    the fault

### addNamespace

    public void addNamespace(java.lang.String prefix,
                             java.lang.String ns)

  Adds a namespace with prefix to this fault.

  Parameters:
    `prefix` - the prefix
    `ns` - the namespace.

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Prints this throwable and its backtrace to the specified print stream.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `s` - `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(java.io.PrintWriter w)

  Prints this throwable and its backtrace to the specified print writer.

  Overrides:
    `printStackTrace` in class `java.lang.Throwable`
  Parameters:
    `w` - `PrintWriter` to use for output

### getCause

    public java.lang.Throwable getCause()

  Returns the cause of this throwable or `null` if the cause is nonexistent or unknown.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    the nested cause.

### getDetail

    public org.codehaus.yom.Element getDetail()

  Returns the detail node. If no detail node has been set, an empty `<detail>` is created.

  Returns:
    the detail node.

### setDetail

    public void setDetail(org.codehaus.yom.Element details)

  Sets a details `Node` on this fault.

  Parameters:
    `details` - the detail node.

### getFaultCode

    public java.lang.String getFaultCode()

  Returns the fault code of this fault.

  Returns:
    the fault code.

### setFaultCode

    public void setFaultCode(java.lang.String faultCode)

  Sets the fault code of this fault.

  Parameters:
    `faultCode` - the fault code.

### getMessage

    public java.lang.String getMessage()

  Returns the detail message string of this fault.

  Overrides:
    `getMessage` in class `java.lang.Throwable`
  Returns:
    the detail message string of this `XfireFault` (which may be `null`)

### setMessage

    public void setMessage(java.lang.String message)

  Parameters:
    `message` - The message to set.

### getNamespaces

    public java.util.Map getNamespaces()

  User defined namespaces which will be written out on the resultant SOAP Fault (for use easy with SubCodes and Detail) elements.

  Returns:

### getReason

    public java.lang.String getReason()

### getRole

    public java.lang.String getRole()

  Returns the fault actor.

  Returns:
    the fault actor.

### setRole

    public void setRole(java.lang.String actor)

  Sets the fault actor.

  Parameters:
    `actor` - the actor.

### getSubCode

    public java.lang.String getSubCode()

  Returns the SubCode for the Fault Code.

  Returns:
    The SubCode element as detailed by the SOAP 1.2 spec.

### setSubCode

    public void setSubCode(java.lang.String subCode)

  Sets the SubCode for the Fault Code.

  Parameters:
    `subCode` - The SubCode element as detailed by the SOAP 1.2 spec.

### hasDetails

    public boolean hasDetails()

  Indicates whether this fault has a detail message.

  Returns:
    `true` if this fault has a detail message; `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.